Retrieve invoice details including GST sequence details

This API fetches invoice details including GST sequence details. This invoice details API supports "expand" query parameter. The user has to pass "gst_parameters" to the "expand" query parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Response Model


GetInvoiceDetailsResponseModel

Json PropertyData TypeDescription
invoiceInvoicePOSDetailsDetails of the invoice
errorApiErrorViewModelError information, if any


invoice object (InvoicePOSDetails)

Json PropertyData TypeDescription
group_invoice_idGuid?Group invoice identifier (nullable)
idGuidInvoice identifier
invoice_numberstringInvoice number
invoice_number_prefixstringPrefix for the invoice number
receipt_numberstringReceipt number
appointment_group_idGuid?Appointment group identifier (nullable)
lockboolIndicates if the invoice is locked
is_closedboolIndicates if the invoice is closed
is_refundboolIndicates if the invoice is a refund
invoice_dateDateTimeDate of the invoice
has_redemptionsbool?Indicates if the invoice has redemptions
center_idGuidCenter identifier
gstinstringGSTIN (nullable)
gst_sequenceGstSequenceInvoice GST sequence
invoice_duesAmountStatusModelInvoice dues details
environmental_feeAmountStatusModelEnvironmental fee details
total_priceInvoiceTotalPriceTotal price details
guestInvoiceGuestModelGuest details
invoice_itemsList of invoice items
appointmentsList of invoice appointments
transactionsList of transactions
additional_fields<AdditionalField<string, object>>Additional fields for the invoice

gst_sequence object (GstSequence)

Json PropertyData TypeDescription
prefixstringGST sequence prefix
numberstringGST sequence number

invoice_dues object (AmountStatusModel)

Json PropertyData TypeDescription
totaldecimalTotal amount
paiddecimalAmount paid
balancedecimalRemaining balance

total_price object (InvoiceTotalPrice)

Json PropertyData TypeDescription
currency_idintCurrency identifier
net_pricedecimalNet price
taxdecimalTax amount
rounding_adjustmentdecimalRounding adjustment
sum_totaldecimalSum total price

Note: Although the property name in code is “RoundingAdjustMent”, the JSON property is “rounding_adjustment”.


guest object (InvoiceGuestModel)

Json PropertyData TypeDescription
idGuidGuest identifier
first_namestringGuest first name
last_namestringGuest last name
genderGenderSuperSetGender
codestringGuest code
mobile_phonestringMobile phone number
emailstringEmail address

invoice_items object (InvoiceItemModel)

Json PropertyData TypeDescription
invoice_item_idGuidInvoice item identifier
idGuidItem identifier
namestringItem name
typeItemTypeEnumItem type
is_giftcardbool?Indicates if the item is a gift card
codestringItem code
priceItemPriceViewModelItem price details
quantityintQuantity
sale_by_idGuid?Sale by identifier
therapist_namestringTherapist name
hsnstringHSN (nullable)
sacstringSAC (nullable)

appointments object (InvoiceAppointmentModel)

Json PropertyData TypeDescription
idGuidAppointment identifier
invoice_item_idGuidInvoice item identifier
service_namestringService name
service_idGuidService identifier
start_timeDateTimeStart time
end_timeDateTimeEnd time
serviceduration_in_miutesintService duration in minutes
has_add_onsboolIndicates if add-ons are available
is_add_onboolIndicates if the appointment is an add-on
therapist_namestringTherapist name
TherapistIdGuid?Therapist identifier
package_idGuid?Package identifier
is_recurringboolIndicates if the appointment is recurring
cart_item_idGuid?Cart item identifier
appointment_typeAppointmentTypeViewModelAppointment type
therapist_request_typeintTherapist request type
room_idGuid?Room identifier
room_namestringRoom name
equipment_idGuid?Equipment identifier
equipment_namestringEquipment name

transactions object (InvoiceTransactionModel)

Json PropertyData TypeDescription
payment_optionPaymentOptionViewModelPayment option details
total_amount_paiddecimalTotal amount paid
amount_paiddecimalAmount paid
tip_amountdecimalTip amount
ssg_amountdecimalSSG amount
donation_amountdecimalDonation amount
fee_amountdecimalFee amount
cash_back_amountdecimalCash back amount
transaction_idGuid?Transaction identifier
payment_dateDateTime?Payment date
cash_regester_idGuid?Cash register identifier
gst_sequencesListTransaction GST sequences

AdditionalField<T, K>

Json PropertyData TypeDescription
keyTKey
valueKValue

ItemPriceViewModel

Json PropertyData TypeDescription
currency_idintCurrency identifier
salesdecimalSales amount
taxdecimalTax amount
finaldecimalFinal price
discountdecimalDiscount amount

PaymentOptionViewModel

Json PropertyData TypeDescription
idGuidIdentifier
payment_modePaymentModeV1Payment mode
payment_namestringPayment name
card_numberstringCard number
additional_datastringAdditional data

Below are the enums defined in the code.


gender values (GenderSuperSet)

Json PropertyData TypeDescription
NotSpecified-1Not specified
Male1Male
Female2Female
Any0Any
ThirdGender3Third gender
Multiple4Multiple genders

item values (ItemTypeEnum)

Json PropertyData TypeDescription
None-1None
Service0Service
Product2Product
Membership3Membership
SeriesPackage4Series package
DayPromoPackage5Day promo package
GiftCard6Gift card
Employee8Employee
Class11Class
AddOns14Add-ons
ServiceRefund-90Service refund
ProductRefund-92Product refund
MembershipRefund-93Membership refund
ClassRefund-911Class refund
GiftCardRefund-96Gift card refund
SeriesPackageRefund-94Series package refund
DayPromoPackageRefund-95Day promo package refund

appointment values (AppointmentTypeViewModel)

Json PropertyData TypeDescription
GroupBooking0Group booking
BulkBooking1Bulk booking
SingleBooking2Single booking
CoupleBooking3Couple booking

payment values (PaymentModeV1)

Json PropertyData TypeDescription
NotSpecified-1Not specified
Cash0Cash
GiftCard1Gift card
Membership2Membership
Package3Package
Custom4Custom
CreditCard5Credit card
Cheque6Cheque
LoyaltyPoints7Loyalty points
Cashback8Cashback
PrepaidCard9Prepaid card
Query Params
string

gst_parameters should be passed for the call to be successful.

Body Params
string
Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json